/*
 Theme Name:   Neon Catalogue
 Theme URI:    https://studio.neon.web.id/products/neon-catalogue/
 Description:  Child Theme for GeneratePress
 Author:       Neon WP Developer
 Author URI:   https://studio.neon.web.id/
 Template:     generatepress
 Version:      1.0.0
*/
.reset_variations_alert.screen-reader-text {
    width: inherit !important;
}

.button-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-decoration: none;
}

.button-icon .svg-icon {
    width: 20px;
    height: 20px;
}

.button-icon.whatsapp-btn {
    background-color: #25D366;
    color: #fff;
    padding: 8px 30px;
    border-radius: 3px;
    display: flex;
    min-height: 100%;

}

.whatsapp-button {
    width: inherit !important;
    float: left;
}

.marketplace-buttons-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: .75rem auto;
    max-width: 600px;
    gap: 10px;
}
.marketplace-buttons .button-mp {
    display: block;
    width: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 90% auto;
    border: 1px solid #f1f1f1;
    padding: 1.25rem 10px !important;
    border-radius: 5px;
    background-color: #FFFFFF !important;
}

.marketplace-buttons .button-mp:hover,
.marketplace-buttons .button-mp:focus {
    border-color: #000;
}
.marketplace-buttons .button-mp.mp-blibli {
    background-image: url('assets/svg/blibli-logo.svg');
}
.marketplace-buttons .button-mp.mp-lazada {
    background-image: url('assets/svg/lazada-logo.svg');
}
.marketplace-buttons .button-mp.mp-shopee {
    background-image: url('assets/svg/shopee-logo.svg');
}
.marketplace-buttons .button-mp.mp-tiktok {
    background-image: url('assets/svg/tiktok-logo.svg');
}
.marketplace-buttons .button-mp.mp-tokopedia {
    background-image: url('assets/svg/tokopedia-logo.svg');
}

.neon-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
}

.neon-modal-content {
    background-color: #fff;
    width: 80%;
    max-width: 600px;
    padding: 20px;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.neon-close {
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 24px;
    cursor: pointer;
    color: #666;
}

.neon-close:hover {
    color: #000;
}

.neon-modal-header {
    margin-bottom: 15px;
}

.neon-modal-body {
    margin-bottom: 20px;
}

.whatsapp-floating-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #25D366;
    color: white;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: all 0.3s ease;
}

.whatsapp-floating-btn:hover {
    background-color: #128C7E;
    transform: scale(1.1);
}

/* Animation bouncing */
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px);
    }
    60% {
        transform: translateY(-5px);
    }
}

.bounce {
    animation: bounce 2s infinite;
}

.bounce:hover {
    animation: none;
}

.schema-faq-answer {
  display: none; /* Hide answers initially */
  padding-left: 20px;
  font-size: 14px;
  color: #555;
}

.schema-faq-question {
  cursor: pointer;
  padding: 10px;
  background-color: #f2f2f2;
  margin: 5px 0;
  font-weight: bold;
  border: 1px solid #ddd;
  border-radius: 5px;
  display: flex;
  align-items: center;
  position: relative;
}

/* Pseudo-element for the arrow */
.schema-faq-question::after {
  content: '\2193'; /* Unicode for down arrow (↓) */
  font-size: 16px;
  margin-right: 10px;
  transition: transform 0.3s ease;
  position: absolute;
  right: 0;
}

/* Active state styling */
.schema-faq-section.active .schema-faq-question::after {
  transform: rotate(180deg); /* Rotate the arrow when active */
}

.schema-faq-section.active .schema-faq-answer {
  display: block; /* Show the answer when active */
}

.schema-faq-question:hover {
  background-color: #e6e6e6;
}

.schema-faq-section {
  margin-bottom: 10px;
}

